eqscplot                package:MASS                R Documentation

Plots with Geometrically Equal Scales

Description:

     Version of a scatterplot with scales chosen to be equal on both
     axes, that is 1cm represents the same units on each

Usage:

     eqscplot(x, y, ratio = 1, tol = 0.04, uin, ...)

Arguments:

       x: vector of x values, or a 2-column matrix, or a list with
          components 'x' and 'y' 

       y: vector of y values 

   ratio: desired ratio of units on the axes. Units on the y axis are
          drawn at 'ratio' times the size of units on the x axis.
          Ignored if 'uin' is specified and of length 2. 

     tol: proportion of white space at the margins of plot 

     uin: desired values for the units per inch parameter. If of length
          1, the desired units per inch on the x axis. 

     ...: further arguments for 'plot' 

Details:

     Limits for the x and y axes are chosen so that they include the
     data. One of the sets of limits is then stretched from the
     midpoint to make the units in the ratio given by 'ratio'. Finally
     both are stretched by '1 + tol' to move points away from the axes,
     and the points plotted.

Value:

     invisibly, the values of 'uin' used for the plot.

Side Effects:

     performs the plot.

Note:

     Arguments 'ratio' and 'uin' were suggested by Bill Dunlap.

References:

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

See Also:

     'plot', 'par'

